Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQAccessibleObject Class Reference

The TQAccessibleObject class implements parts of the TQAccessibleInterface for TQObjects. More...

`#include <ntqaccessible.h>`

Inherits TQObject and TQAccessibleInterface.

List of all member functions.

## Public Members

- TQAccessibleObject ( TQObject * object )
- virtual ~TQAccessibleObject ()

## Protected Members

- TQObject * object () const

## Detailed Description

The TQAccessibleObject class implements parts of the TQAccessibleInterface for TQObjects.

This class is mainly provided for convenience. All subclasses of the TQAccessibleInterface should use this class as the base class.

See also Miscellaneous Classes.

## Member Function Documentation

### TQAccessibleObject::TQAccessibleObject ( TQObject * object )

Creates a TQAccessibleObject for object.

### TQAccessibleObject::~TQAccessibleObject ()`[virtual]`

Destroys the TQAccessibleObject.

This only happens when a call to release() decrements the internal reference counter to zero.

### TQObject * TQAccessibleObject::object () const`[protected]`

Returns the TQObject for which this TQAccessibleInterface implementation provides information. Use isValid() to make sure the object pointer is safe to use.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.